package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MemberCoinTixian;


/**
*  service接口类
*/
public interface MemberCoinTixianService{

    List<MemberCoinTixian> getMemberCoinTixianList(MemberCoinTixian record);

    List<MemberCoinTixian> getMemberCoinTixianByPage(Page page, MemberCoinTixian record);

    MemberCoinTixian getMemberCoinTixianById(String id);

    MemberCoinTixian getMemberCoinTixian(MemberCoinTixian record);

    boolean createMemberCoinTixian(MemberCoinTixian record);

    boolean deleteMemberCoinTixian(String id);

    boolean updateMemberCoinTixian(MemberCoinTixian record);
}

